Name:           nautilus-search-tool
Version:        0.2
Release:        2%{?dist}
Summary:        A Nautilus extension to put "Search for Files" on the context menu of folders

Group:          System Environment/Shells
License:        GPL
URL:            http://saettaz.altervista.org/software/nautilus_search_tool.html
Source0:        http://dl.sourceforge.net/nautsearchtool/%{name}-%{version}.tar.gz
Patch:          nautilus-search-tool-0.2-headers.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gnome-desktop-devel >= 2.10.0 eel2-devel >= 2.10.0
BuildRequires:	libtool gettext intltool
%if "%{fedora}" < "6"
BuildRequires:	nautilus >= 2.10.0
%else
BuildRequires:	nautilus-devel
%endif


%description
This package adds an option to the context menu of folders in Nautilus to
search for files.

%prep
%setup -q
%patch -p1 -b .headers

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%doc AUTHORS COPYING
%defattr(-,root,root,-)
%{_libdir}/nautilus/extensions-1.0/*.so

%changelog
* Wed Aug 30 2006 Paul W. Frields <stickster@gmail.com> - 0.2-2
- Fix BuildRequires (#200420)

* Sat Feb 18 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-1
- Upstream update

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.1-2
- Rebuild for Fedora Extras 5

* Tue Sep  3 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.1-1
- Initial RPM release
